
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #117

cdaudio-ng: Translations are not applied

May 30, 2012 18:26 - Thomas Lange

Status: Closed Start date: May 30, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/cdaudio Estimated time: 0.00 hour

Target version: 3.3   

Affects version: 3.3   

Description

Title says all.

Probably caused by the transition to "PluginPreferences",

although other plugins don't have this issue.

By the way, the category "cdaudio-ng" is missing in this bugtracker.

History

#1 - May 30, 2012 23:46 - John Lindgren

Have you made sure that audacious-plugins.pot is up to date and that no strings are untranslated?

#2 - May 30, 2012 23:48 - John Lindgren

- Assignee deleted (John Lindgren)

#3 - May 30, 2012 23:57 - Michał Lipski

- Category set to plugins/cdaudio

#4 - May 31, 2012 11:18 - Thomas Lange

Take a look at:

https://github.com/audacious-media-player/audacious-plugins/blob/8c4fbaabec47e8036f4c94c25b77e220cd4e6f97/po/de.po#L939

All lines (e.g. 108) matches with the source file.

I've executed "make update-pot" just now but it's still "POT-Creation-Date: 2011-12-29 19:29-0500\n".

The po file itself is up to date though (update-pot-files.sh and make update-po).

#5 - June 02, 2012 01:59 - John Lindgren

"make update-pot" turned out to be broken by a missing line in extra.mk.  Can you see if the problem is resolved with a clean build of current git?

#6 - June 02, 2012 05:30 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

Found the real problem.  PACKAGE was being redefined by libcdio headers; hence the wrong gettext domain was being searched.

https://github.com/audacious-media-player/audacious-plugins/commit/324a751bf7ae5f3a03ea8762fd881648b6b79bdd
